# Script de la NoteKfet 2020

## Commandes Django

> les commandes sont documentées:
> `./manage.py command --help`

- `import_nk15` :

    Importe un dump de la NoteKfet 2015. 

- `make_su [--STAFF|-s] [--SUPER|-S]` :

    Rend actifs les pseudos renseignés.
  
    * Si `--STAFF` ou `-s` est renseigné, donne en plus le statut d'équipe aux pseudos renseignés, 
    permettant l'accès à l'interface admin.
    * Si `--SUPER` ou `-S` est renseigné, donne en plus le statut de super-utilisateur aux pseudos renseignés,
    octroyant tous les droits sur la plateforme.

- `wei_algorithm` :

    Lance l'algorithme de répartition des 1A au dernier WEI. Cela a pour effet de suggérer un bus pour tous les 1A
    inscrits au dernier WEI en fonction des données rentrées dans le sondage, la validation se faisant ensuite
    manuellement via l'interface Web.

- `extract_ml_registrations --type {members, clubs, events, art, sport} [--year|-y YEAR]` :

    Récupère la liste des adresses mail à inscrire à une liste de diffusion donnée.
    
    * `members` : Liste des adresses mail des utilisateurs ayant une adhésion BDE (et non Kfet) active.
    * `clubs` : Liste des adresses mail de contact de tous les clubs BDE enregistrés.
    * `events` : Liste de toutes les adresses mails des utilisateurs inscrits au WEI ayant demandé à s'inscrire sur
                 la liste de diffusion des événements du BDE.
    * `art` : Liste de toutes les adresses mails des utilisateurs inscrits au WEI ayant demandé à s'inscrire sur
              la liste de diffusion concertnant les actualités artistiques du BDA.
    * `sport` : Liste de toutes les adresses mails des utilisateurs inscrits au WEI ayant demandé à s'inscrire sur
                la liste de diffusion concertnant les actualités sportives du BDS.
    
    Le champ `--year` est optionnel : il permet de choisir l'année du WEI en question (pour les trois dernières 
    options). Si non renseigné, il s'agit du dernier WEI.
    
    Par défaut, si `--type` est non renseigné, la liste des adhérents BDE est renvoyée.
    

## Shell

- Tabula rasa :
```shell script
sudo -u postgres sh -c "dropdb note_db && psql -c 'CREATE DATABASE note_db OWNER note;'"
```
